package com.ztmap.project.zhny.netfdswl.mapper;

import java.util.List;
import com.ztmap.project.zhny.netfdswl.domain.TNetFdswl;

/**
 * 风电上网量Mapper接口
 * 
 * @author ztmap
 * @date 2023-11-16
 */
public interface TNetFdswlMapper 
{
    /**
     * 查询风电上网量
     * 
     * @param id 风电上网量ID
     * @return 风电上网量
     */
    public TNetFdswl selectTNetFdswlById(Long id);

    /**
     * 查询风电上网量列表
     * 
     * @param tNetFdswl 风电上网量
     * @return 风电上网量集合
     */
    public List<TNetFdswl> selectTNetFdswlList(TNetFdswl tNetFdswl);

    /**
     * 新增风电上网量
     * 
     * @param tNetFdswl 风电上网量
     * @return 结果
     */
    public int insertTNetFdswl(TNetFdswl tNetFdswl);

    /**
     * 修改风电上网量
     * 
     * @param tNetFdswl 风电上网量
     * @return 结果
     */
    public int updateTNetFdswl(TNetFdswl tNetFdswl);

    /**
     * 删除风电上网量
     * 
     * @param id 风电上网量ID
     * @return 结果
     */
    public int deleteTNetFdswlById(Long id);

    /**
     * 批量删除风电上网量
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTNetFdswlByIds(String[] ids);
}
